Skip to main content
POST
/
v2
/
updates
/
flats
/v2/updates/flats
curl --request POST \
  --url https://api.example.com/v2/updates/flats \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "beginExclusive": 123,
  "endInclusive": 123,
  "filter": {
    "filtersByParty": {},
    "filtersForAnyParty": {
      "cumulative": [
        {
          "identifierFilter": {
            "Empty": {}
          }
        }
      ]
    }
  },
  "verbose": true,
  "updateFormat": {
    "includeReassignments": {
      "filtersByParty": {},
      "filtersForAnyParty": {
        "cumulative": [
          {
            "identifierFilter": {
              "Empty": {}
            }
          }
        ]
      },
      "verbose": true
    },
    "includeTopologyEvents": {
      "includeParticipantAuthorizationEvents": {
        "parties": [
          "<string>"
        ]
      }
    }
  },
  "descendingOrder": true
}
'
[
  {
    "update": {
      "OffsetCheckpoint": {
        "value": {
          "offset": 123,
          "synchronizerTimes": [
            {
              "synchronizerId": "<string>",
              "recordTime": "<string>"
            }
          ]
        }
      }
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Query Parameters

limit
integer<int64>

maximum number of elements to return, this param is ignored if is bigger than server setting

stream_idle_timeout_ms
integer<int64>

timeout to complete and send result if no new elements are received (for open ended streams)

Body

application/json
beginExclusive
integer<int64>
required

Exclusive lower bound offset of the requested ledger section (non-negative integer). The response will only contain transactions whose offset is strictly greater than this. If set to zero, the lower bound is set to the beginning of the ledger. If the participant has been pruned, this parameter must be greater or equal than the pruning offset. Required

endInclusive
integer<int64>

Inclusive higher bound offset of the requested ledger section. If specified the response will only contain transactions whose offset is less than or equal to this. If not specified,

  • the descending_order must not be selected,
  • the stream will not terminate.

Optional

filter
TransactionFilter · object

Provided for backwards compatibility, it will be removed in the Canton version 3.5.0. Requesting parties with template filters. Template filters must be empty for GetUpdateTrees requests. Optional for backwards compatibility, if defined update_format must be unset

verbose
boolean

Provided for backwards compatibility, it will be removed in the Canton version 3.5.0. If enabled, values served over the API will contain more information than strictly necessary to interpret the data. In particular, setting the verbose flag to true triggers the ledger to include labels, record and variant type ids for record fields. Optional for backwards compatibility, if defined update_format must be unset

updateFormat
UpdateFormat · object

Must be unset for GetUpdateTrees request. Optional for backwards compatibility for GetUpdates request: defaults to an UpdateFormat where:

  • include_transactions.event_format.filters_by_party = the filter.filters_by_party on this request
  • include_transactions.event_format.filters_for_any_party = the filter.filters_for_any_party on this request
  • include_transactions.event_format.verbose = the same flag specified on this request
  • include_transactions.transaction_shape = TRANSACTION_SHAPE_ACS_DELTA
  • include_reassignments.filter = the same filter specified on this request
  • include_reassignments.verbose = the same flag specified on this request
  • include_topology_events.include_participant_authorization_events.parties = all the parties specified in filter
descendingOrder
boolean

If set, the stream will populate the elements in descending order.

Optional

Response

update
Update · object